function o(r, e, n) {
  const h = /* @__PURE__ */ new Map();
  for (let t = 0; t < e.length; t++) {
    let i;
    if (n)
      try {
        i = n.columnsWidths[e[t].key];
      } catch {
      }
    i !== void 0 && h.set(e[t].key, i);
  }
  return h;
}
export {
  o as getColumnsWidth
};
